Skip to content
Start here

Lists all indicator types

Deprecated
client.cloudforceOne.threatEvents.indicatorTypes.list(IndicatorTypeListParams { account_id } params, RequestOptionsoptions?): IndicatorTypeListResponse { items, type }
GET/accounts/{account_id}/cloudforce-one/events/indicatorTypes

This Method is deprecated. Please use /events/dataset/:dataset_id/indicatorTypes instead.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One WriteCloudforce One Read
ParametersExpand Collapse
params: IndicatorTypeListParams { account_id }
account_id: string

Account ID.

ReturnsExpand Collapse
IndicatorTypeListResponse { items, type }
items: Items { type }
type: string
type: string

Lists all indicator types

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const indicatorTypes = await client.cloudforceOne.threatEvents.indicatorTypes.list({
  account_id: 'account_id',
});

console.log(indicatorTypes.items);
{
  "items": {
    "type": "string"
  },
  "type": "array"
}
Returns Examples
{
  "items": {
    "type": "string"
  },
  "type": "array"
}